<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://www.biuro.lt
 * @since      1.0.0
 *
 * @package    Biuro_Contacts
 * @subpackage Biuro_Contacts/public/partials
 */

/**
 * @link https://codex.wordpress.org/Creating_Options_Pages
 * @link https://www.smashingmagazine.com/2016/04/three-approaches-to-adding-configurable-fields-to-your-plugin/
 */
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) die;
?>

<form name="form-position" action="<?php echo esc_url( admin_url('admin-post.php') ); ?>" method="post" enctype="multipart/form-data" class="c-form <?php if ($_SESSION['position--step']): ?>c-form--position<?php endif; ?>">
    <div id="action" class="c-form--action c-form--action-position"></div>

<?php
    if ( isset($_SESSION['position--captcha-status']) && $_SESSION['position--captcha-status'] == 'error' ):
?>
    <div class="c-form--validation-static c-form--validation-error">
        <?php _e('Sorry, something went wrong. Please try again', 'biuro-contacts'); ?>
    </div>

<?php

        unset($_SESSION['position--captcha-status']);
    endif;
 ?>
<?php

    if ( !$_SESSION['position--step'] ):
        include_once('biuro-contacts-public--position--step-1.php');
    else:
        include_once('biuro-contacts-public--position--step-2.php');
    endif;
 ?>
    <input type="hidden" name="job_id" value="<?php echo $job_id; ?>">
    <input type="hidden" name="action" value="position_post">
    <?php wp_nonce_field('position_post_nonce'); ?>

<?php
    if ( $_SESSION['position--step'] ):
?>
    <input type="hidden" id="g-recaptcha-response" name="captcha">
<script src="https://www.google.com/recaptcha/api.js?render=6Lc76qoUAAAAALk0aYR500zOZVG1BicNl3GTb-Hu"></script>
<script>
function execCaptcha () {
    var no = Math.floor(Math.random() * 999999) + 100000;
    window.grecaptcha.execute('6Lc76qoUAAAAALk0aYR500zOZVG1BicNl3GTb-Hu', { action: 'position/<?php echo $job_id; ?>/' + no }).then(function (token) {
        if (document.getElementById('g-recaptcha-response')) {
            document.getElementById('g-recaptcha-response').value = token;
        }
    });
}
window.grecaptcha.ready(function () {
    execCaptcha();
});
setInterval(execCaptcha, 90000);
</script>
<?php
    endif;
?>
</form>

<?php
    if($_SESSION['position--s'] == 1) {
?>
<script>
window.dataLayer = window.dataLayer || [];
window.dataLayer.push({ 'event': 'b2c_form_open_success_validated', 'label': 'Job page' });
</script>

<?php
    unset($_SESSION['position--s']);
}
?>

<?php
    if ($_SESSION['position--s'] == 2) {
?>
<div class="c-modal">
    <div class="c-modal--inner">
        <svg width="67px" height="67px">
            <use xlink:href="#ico--success"></use>
        </svg>
        <p><?php _e('Thank You! Your data was send successfully.', 'biuro-contacts'); ?></p>
        <p><button  class="js-modal--close o-btn c-btn--main"><?php _e('OK', 'biuro-contacts'); ?></button></p>
    </div>
</div>
<script>
window.dataLayer = window.dataLayer || [];
window.dataLayer.push({ 'event': 'b2c_form_submit_success_validated', 'label': 'Job page' });
</script>

<?php
    unset($_SESSION['position--s']);
}
?>
